Index: /trunk/gsdl/macros/base.dm
===================================================================
--- /trunk/gsdl/macros/base.dm	(revision 930)
+++ /trunk/gsdl/macros/base.dm	(revision 931)
@@ -107,13 +107,4 @@
 }
 
-_imageList_ {<a href="_httpbrowseList_"
-    onMouseover = "img\_on('list')" 
-    onMouseout = "img\_off('list')"><img name="list" 
-        src="_httpicontlistof_" width=_widthtlistx_ height=_heighttlistx_ 
-        border=0 alt="_textimageList_"></a>}
-_imageList_[v=1] {<a href="_httpbrowseList_">_textimageList_</a><br>
-}
-
-
 _imageCreator_ {<a href="_httpbrowseCreator_"
     onMouseover = "img\_on('authors')" 
@@ -372,45 +363,4 @@
 _heightchalk_ {10}
 
-_httpiconchelpof_ {_httpimg_/chelpof.gif}
-_httpiconchelpof_ [l=mi] {_httpimg_/mchelpof.gif}
-_httpiconchelpof_[l=zh] {_httpimg_/zhchelpof.gif}
-_httpiconchelpon_ {_httpimg_/chelpon.gif}
-_httpiconchelpon_ [l=mi] {_httpimg_/mchelpon.gif}
-_httpiconchelpon_[l=zh] {_httpimg_/zhchelpon.gif}
-_widthchelpx_ {36}
-_widthchelpx_ [l=mi] {57}
-_widthchelpx_[l=zh] {41}
-_heightchelpx_ {20}
-_heightchelpx_[l=zh] {20}
-
-_httpiconchomeof_ {_httpimg_/chomeof.gif}
-_httpiconchomeof_ [l=mi] {_httpimg_/mchomeof.gif}
-_httpiconchomeof_[l=zh] {_httpimg_/zhchomeof.gif}
-_httpiconchomeon_ {_httpimg_/chomeon.gif}
-_httpiconchomeon_ [l=mi] {_httpimg_/mchomeon.gif}
-_httpiconchomeon_[l=zh] {_httpimg_/zhchomeon.gif}
-_widthchomex_ {43}
-_widthchomex_ [l=mi] {54}
-_widthchomex_[l=zh] {41}
-_heightchomex_ {20}
-_heightchomex_[l=zh] {20}
-
-_httpiconcprefof_ {_httpimg_/cprefof.gif}
-_httpiconcprefof_ [l=mi] {_httpimg_/mcprefof.gif}
-_httpiconcprefof_[l=zh] {_httpimg_/zhcprefof.gif}
-_httpiconcprefon_ {_httpimg_/cprefon.gif}
-_httpiconcprefon_ [l=mi] {_httpimg_/mcprefon.gif}
-_httpiconcprefon_[l=zh] {_httpimg_/zhcprefon.gif}
-_widthcprefx_ {87}
-_widthcprefx_ [l=mi] {103}
-_widthcprefx_[l=zh] {41}
-_heightcprefx_ {20}
-_heightcprefx_[l=zh] {20}
-
-_httpiconcabtof_ {_httpimg_/cabtof.gif}
-_httpiconcabton_ {_httpimg_/cabton.gif}
-_widthcabtx_ {50}
-_heightcabtx_ {20}
-
 _httpicondivb_ {_httpimg_/divb.gif}
 _widthdivb_ {_pagewidth_}
@@ -421,9 +371,4 @@
 _heightgsdl_ {77}
 
-_httpiconhhelp_ {_httpimg_/h\_help.gif}
-_httpiconhhelp_[l=zh] {_httpimg_/zhh\_help.gif}
-_widthhhelp_ {200}
-_heighthhelp_ {57}
-
 _httpiconitext_ {_httpimg_/itext.gif}
 _widthitext_ {16}
@@ -442,13 +387,4 @@
 _heightmore_ {16}
 
-_httpiconstop_ {_httpimg_/stop.gif}
-_widthstop_ {30}
-_heightstop_ {16}
-
-_httpiconqryresb_ {_httpimg_/qryresb.gif}
-_httpiconqryresb_ [l=mi] {_httpimg_/mqryresb.gif}
-_widthqryresb_ {_pagewidth_}
-_heightqryresb_ {17}
-
 _httpiconspacer_ {_httpimg_/spacer.gif}
 _widthspacer_ {42}
@@ -459,114 +395,4 @@
 _heighttabspace_ {1}
 
-_httpicontauthgr_ {_httpimg_/tauthgr.gif}
-_httpicontauthof_ {_httpimg_/tauthof.gif}
-_httpicontauthon_ {_httpimg_/tauthon.gif}
-_widthtauthx_ {110}
-_heighttauthx_ {17}
-
-_httpicontauthgr_[l=zh] {_httpimg_/zhtauthgr.gif}
-_httpicontauthof_[l=zh] {_httpimg_/zhtauthof.gif}
-_httpicontauthon_[l=zh] {_httpimg_/zhtauthon.gif}
-_widthtauthx_[l=zh] {110}
-_heighttauthx_[l=zh] {17}
-
-
-_httpicontsergr_ {_httpimg_/tsergr.gif}
-_httpicontsergr_ [l=mi] {_httpimg_/mtsergr.gif}
-_httpicontserof_ {_httpimg_/tserof.gif}
-_httpicontserof_ [l=mi] {_httpimg_/mtserof.gif}
-_httpicontseron_ {_httpimg_/tseron.gif}
-_httpicontseron_ [l=mi] {_httpimg_/mtseron.gif}
-_widthtserx_ {87}
-_widthtserx_ [l=mi] {192}
-_heighttserx_ {17}
-
-_httpicontdategr_ {_httpimg_/tdategr.gif}
-_httpicontdategr_ [l=mi] {_httpimg_/mtdategr.gif}
-_httpicontdateof_ {_httpimg_/tdateof.gif}
-_httpicontdateof_ [l=mi] {_httpimg_/mtdateof.gif}
-_httpicontdateon_ {_httpimg_/tdateon.gif}
-_httpicontdateon_ [l=mi] {_httpimg_/mtdateon.gif}
-_widthtdatex_ {87}
-_heighttdatex_ {17}
-
-_httpicontsubjgr_ {_httpimg_/tsubjgr.gif}
-_httpicontsubjon_ {_httpimg_/tsubjon.gif}
-_httpicontsubjof_ {_httpimg_/tsubjof.gif}
-_widthtsubjx_ {87}
-_heighttsubjx_ {17}
-
-_httpicontorggr_{_httpimg_/torggr.gif}
-_httpicontorgon_{_httpimg_/torgon.gif}
-_httpicontorgof_{_httpimg_/torgof.gif}
-_widthtorgx_ {109}
-_heighttorgx_ {17}
-
-_httpiconthowgr_{_httpimg_/thowgr.gif}
-_httpiconthowon_{_httpimg_/thowon.gif}
-_httpiconthowof_{_httpimg_/thowof.gif}
-_widththowx_ {87}
-_heightthowx_ {17}
-
-_httpiconttopicgr_{_httpimg_/ttopicgr.gif}
-_httpiconttopicon_{_httpimg_/ttopicon.gif}
-_httpiconttopicof_{_httpimg_/ttopicof.gif}
-_widthttopicx_ {87}
-_heightttopicx_ {17}
-
-_httpicontbrwsegr_{_httpimg_/tbrwsegr.gif}
-_httpicontbrwseon_{_httpimg_/tbrwseon.gif}
-_httpicontbrwseof_{_httpimg_/tbrwseof.gif}
-_widthtbrwsex_ {87}
-_heighttbrwsex_ {17}
-
-_httpicontsrchgr_ {_httpimg_/tsrchgr.gif}
-_httpicontsrchgr_ [l=mi] {_httpimg_/mtsrchgr.gif}
-_httpicontsrchof_ {_httpimg_/tsrchof.gif}
-_httpicontsrchof_ [l=mi] {_httpimg_/mtsrchof.gif}
-_httpicontsrchon_ {_httpimg_/tsrchon.gif}
-_httpicontsrchon_ [l=mi] {_httpimg_/mtsrchon.gif}
-_widthtsrchx_ {87}
-_heighttsrchx_ {17}
-
-_httpicontsrchgr_[l=zh] {_httpimg_/zhtsrchgr.gif}
-_httpicontsrchof_[l=zh] {_httpimg_/zhtsrchof.gif}
-_httpicontsrchon_[l=zh] {_httpimg_/zhtsrchon.gif}
-_widthtsrchx_[l=zh] {87}
-_heighttsrchx_[l=zh] {17}
-
-_httpiconcontoff_[l=zh] {_httpimg_/zhcontoff.gif}
-_httpiconconton_[l=zh] {_httpimg_/zhconton.gif}
-_widthcontx_[l=zh] {76}
-_heightcontx_[l=zh] {17}
-
-_httpiconhauth_[l=zh] {_httpimg_/zhh\_auth.gif}
-_widthhauth_[l=zh] {200}
-_heighthauth_[l=zh] {57}
-
-_httpicontlistgr_ {_httpimg_/tlistgr.gif}
-_httpicontlistof_ {_httpimg_/tlistof.gif}
-_httpicontliston_ {_httpimg_/tliston.gif}
-_widthtlistx_ {87}
-_heighttlistx_ {17}
-
-_httpiconttitlgr_ {_httpimg_/ttitlgr.gif}
-_httpiconttitlof_ {_httpimg_/ttitlof.gif}
-_httpiconttitlon_ {_httpimg_/ttitlon.gif}
-_widthttitlx_ {87}
-_heightttitlx_ {17}
-
-_httpiconttitlgr_[l=zh] {_httpimg_/zhttitlgr.gif}
-_httpiconttitlof_[l=zh] {_httpimg_/zhttitlof.gif}
-_httpiconttitlon_[l=zh] {_httpimg_/zhttitlon.gif}
-_widthttitlx_[l=zh] {87}
-_heightttitlx_[l=zh] {17}
-
-_httpicontpeopgr_ {_httpimg/tpeopgr.gif}
-_httpicontpeopof_ {_httpimg/tpeopof.gif}
-_httpicontpeopon_ {_httpimg/tpeopon.gif}
-_widthtpeopx_ {97}
-_heighttpeopx_ {17}
-
 _httpicontspace_ {_httpimg_/tspace.gif}
 _heighttspace_ {17}
@@ -576,24 +402,8 @@
 _heightwarning_ {29}
 
-_httpiconhabout_ {_httpimg_/h\_about.gif}
-_httpiconhabout_ [l=mi] {_httpimg_/mh\_about.gif}
-_widthhabout_ {200}
-_widthhabout_ [l=mi] {262}
-_heighthabout_ {57}
-
 _httpiconhhome_ {_httpimg_/h\_home.gif}
 _widthhhome_ {200}
 _heighthhome_ {57}
 
-_httpiconhname_ {_httpimg_/h\_name.gif}
-_widthhname_ {200}
-_heighthname_ {57}
-
-_httpicontnamegr_ {_httpimg_/tnamegr.gif}
-_httpicontnameof_ {_httpimg_/tnameof.gif}
-_httpicontnameon_ {_httpimg_/tnameon.gif}
-_widthtnamex_ {95}
-_heighttnamex_ {17}
-
 _httpiconarrrght_ {_httpimg_/arrrght.gif}
 _widtharrrght_ {23}
@@ -647,20 +457,4 @@
 _widthaclsdfdr_ {23}
 _heightaclsdfdr_ {15}
-
-_httpiconhpref_[l=zh] {_httpimg_/zhh\_pref.gif}
-_widthhpref_[l=zh] {200}
-_heighthpref_[l=zh] {57}
-
-_httpiconhsearch_[l=zh] {_httpimg_/zhh\_sear.gif}
-_widthhsearch_[l=zh] {200}
-_heighthsearch_[l=zh] {57}
-
-_httpiconhtitle_[l=zh] {_httpimg_/zhh\_title.gif}
-_widthhtitle_[l=zh] {200}
-_heighthtitle_[l=zh] {57}
-
-_httpiconqryresb_[l=zh] {_httpimg_/zhqryresb.gif}
-_widthqryresb_[l=zh] {537}
-_heightqryresb_[l=zh] {17}
 
 
@@ -795,28 +589,15 @@
 
 
-################################
-# English Macros               #
-################################
-
-# moved to english.dm
-
-################################
-# Maori Macros                 #
-################################
-
-# moved to maori.dm
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: /trunk/gsdl/macros/document.dm
===================================================================
--- /trunk/gsdl/macros/document.dm	(revision 930)
+++ /trunk/gsdl/macros/document.dm	(revision 931)
@@ -297,120 +297,4 @@
 
 #######################################################################
-# https
-#
-# These contain the url without any quotes
-#######################################################################
-
-_httpiconhtitle_ {_httpimg_/h\_title.gif}
-_widthhtitle_ {200}
-_heighthtitle_ {57}
-
-_httpiconhlist_ {_httpimg_/h\_list.gif}
-_widthhlist_ {200}
-_heighthlist_ {57}
-
-_httpiconhauth_ {_httpimg_/h\_auth.gif}
-_widthhauth_ {200}
-_heighthauth_ {57}
-
-_httpiconhsubj_ {_httpimg_/h\_subj.gif}
-_widthhsubj_ {200}
-_heighthsubj_ {57}
-
-_httpiconhser_ {_httpimg_/h\_ser.gif}
-_httpiconhser_ [l=mi] {_httpimg_/mh\_ser.gif}
-_widthhser_ {200}
-_widthhser_ [l=mi] {310}
-_heighthser_ {57}
-
-_httpiconhdate_ {_httpimg_/h\_date.gif}
-_httpiconhdate_ [l=mi] {_httpimg_/mh\_date.gif}
-_widthhdate_ {200}
-_heighthdate_ {57}
-
-_httpiconhhow_ {_httpimg_/h\_how.gif}
-_widthhhow_ {200}
-_heighthhow_ {57}
-
-_httpiconhtopic_ {_httpimg_/h\_topic.gif}
-_widthhtopic_ {200}
-_heighthtopic_ {57}
-
-_httpiconhorg_ {_httpimg_/h\_org.gif}
-_widthhorg_ {250}
-_heighthorg_ {57}
-
-_httpiconhbrwse_ {_httpimg_/h\_brwse.gif}
-_widthhbrwse_ {200}
-_heighthbrwse_ {57}
-
-_httpiconhpeople_ {_httpimg_/h\_people.gif}
-_widthhpeople_ {200}
-_heighthpeople_ {57}
-
-_httpiconcontoff_ {_httpimg_/contoff.gif}
-_httpiconconton_ {_httpimg_/conton.gif}
-_widthcontx_ {76}
-_heightcontx_ {17}
-
-_httpiconealltof_ {_httpimg_/ealltof.gif}
-_httpiconealltof_ [l=mi] {_httpimg_/mealltof.gif}
-_httpiconeallton_ {_httpimg_/eallton.gif}
-_httpiconeallton_ [l=mi] {_httpimg_/meallton.gif}
-#_widthealltx_ {46}
-_widthealltx_ {65}
-#_widthealltx_ [l=mi] {42}
-_heightealltx_ {30}
-
-_httpiconeconcof_ {_httpimg_/econcof.gif}
-_httpiconeconcon_ {_httpimg_/econcon.gif}
-#_widtheconcx_ {63}
-_widtheconcx_ {65}
-_heighteconcx_ {30}
-
-_httpiconedtchof_ {_httpimg_/edtchof.gif}
-_httpiconedtchof_ [l=mi] {_httpimg_/medtchof.gif}
-_httpiconedtchon_ {_httpimg_/edtchon.gif}
-_httpiconedtchon_ [l=mi] {_httpimg_/medtchon.gif}
-#_widthedtchx_ {47}
-_widthedtchx_ {65}
-#_widthedtchx_ [l=mi] {56}
-_heightedtchx_ {30}
-
-_httpiconeexpcof_ {_httpimg_/eexpcof.gif}
-_httpiconeexpcon_ {_httpimg_/eexpcon.gif}
-#_widtheexpcx_ {60}
-_widtheexpcx_ {65}
-_heighteexpcx_ {30}
-
-_httpiconetsecof_ {_httpimg_/etsecof.gif}
-_httpiconetsecof_ [l=mi] {_httpimg_/metsecof.gif}
-_httpiconetsecon_ {_httpimg_/etsecon.gif}
-_httpiconetsecon_ [l=mi] {_httpimg_/metsecon.gif}
-#_widthetsecx_ {63}
-_widthetsecx_ {65}
-#_widthetsecx_ [l=mi] {53}
-_heightetsecx_ {30}
-
-_httpiconehlof_ {_httpimg_/ehlof.gif}
-_httpiconehlof_ [l=mi] {_httpimg_/mehlof.gif}
-_httpiconehlon_ {_httpimg_/ehlon.gif}
-_httpiconehlon_ [l=mi] {_httpimg_/mehlon.gif}
-#_widthehlx_ {53}
-_widthehlx_ {65}
-#_widthehlx_ [l=mi] {47}
-_heightehlx_ {30}
-
-_httpiconenhlof_ {_httpimg_/enhlof.gif}
-_httpiconenhlof_ [l=mi] {_httpimg_/menhlof.gif}
-_httpiconenhlon_ {_httpimg_/enhlon.gif}
-_httpiconenhlon_ [l=mi] {_httpimg_/menhlon.gif}
-#_widthenhlx_ {57}
-_widthenhlx_ {65}
-#_widthenhlx_ [l=mi] {56}
-_heightenhlx_ {30}
-
-
-#######################################################################
 # headers/footers
 #######################################################################
Index: /trunk/gsdl/macros/english.dm
===================================================================
--- /trunk/gsdl/macros/english.dm	(revision 930)
+++ /trunk/gsdl/macros/english.dm	(revision 931)
@@ -1,25 +1,22 @@
-# all code to do with english
-
-package about
-
-_textabcol_ {About this collection}
-
-_textsubcols1_ {<p>The complete collection comprises _1_ subcollections:
-<blockquote>}
-
-_textsubcols2_ {</blockquote>
-You can check (and alter) which subcollections you are 
-currently using on the Preferences page.}
-
-####################################################################3
-
+######################################################################
+#
+# English Language text and icon macros 
+#
+######################################################################
+
+
+######################################################################
+# Global (base) package
 package Global
-
-######################
-# default page content
-######################
-
-_textdefaultcontent_ {The requested page could not be found. Please use your browsers 'back' button
-or the above home button to return to the Greenstone Digital Library.}
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+_textdefaultcontent_ {The requested page could not be found. Please use
+your browsers 'back' button or the above home button to return to the
+Greenstone Digital Library.}
+
 _textdefaulttitle_ {GSDL Error}
 
@@ -86,19 +83,148 @@
 _magazines_ {Magazines}
 
-################
-# from visarts.dm
-###############
-
-_textimageArtist_ {Browse alphabetical list of artists}
-
-_textimageCategory_ {Browse alphabetical list of studio majors}
-
-_texticontabartistgreen_ {Artists}
-
-_texticontabcategorygreen_{Categories}
-
-####################################################################
-
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+## HOME ##
+_httpiconchomeof_ {_httpimg_/chomeof.gif}
+_httpiconchomeon_ {_httpimg_/chomeon.gif}
+_widthchomex_ {43}
+_heightchomex_ {20}
+
+## HELP ##
+_httpiconchelpof_ {_httpimg_/chelpof.gif}
+_httpiconchelpon_ {_httpimg_/chelpon.gif}
+_widthchelpx_ {36}
+_heightchelpx_ {20}
+
+## PREFERENCES ##
+_httpiconcprefof_ {_httpimg_/cprefof.gif}
+_httpiconcprefon_ {_httpimg_/cprefon.gif}
+_widthcprefx_ {87}
+_heightcprefx_ {20}
+
+## help ##
+_httpiconhhelp_ {_httpimg_/h\_help.gif}
+_widthhhelp_ {200}
+_heighthhelp_ {57}
+
+## authors a-z ##
+_httpicontauthgr_ {_httpimg_/tauthgr.gif}
+_httpicontauthof_ {_httpimg_/tauthof.gif}
+_httpicontauthon_ {_httpimg_/tauthon.gif}
+_widthtauthx_ {110}
+_heighttauthx_ {17}
+
+## series ##
+_httpicontsergr_ {_httpimg_/tsergr.gif}
+_httpicontserof_ {_httpimg_/tserof.gif}
+_httpicontseron_ {_httpimg_/tseron.gif}
+_widthtserx_ {87}
+_heighttserx_ {17}
+
+## dates ##
+_httpicontdategr_ {_httpimg_/tdategr.gif}
+_httpicontdateof_ {_httpimg_/tdateof.gif}
+_httpicontdateon_ {_httpimg_/tdateon.gif}
+_widthtdatex_ {87}
+_heighttdatex_ {17}
+
+## subjects ##
+_httpicontsubjgr_ {_httpimg_/tsubjgr.gif}
+_httpicontsubjon_ {_httpimg_/tsubjon.gif}
+_httpicontsubjof_ {_httpimg_/tsubjof.gif}
+_widthtsubjx_ {87}
+_heighttsubjx_ {17}
+
+## organization ##
+_httpicontorggr_{_httpimg_/torggr.gif}
+_httpicontorgon_{_httpimg_/torgon.gif}
+_httpicontorgof_{_httpimg_/torgof.gif}
+_widthtorgx_ {109}
+_heighttorgx_ {17}
+
+## how to ##
+_httpiconthowgr_{_httpimg_/thowgr.gif}
+_httpiconthowon_{_httpimg_/thowon.gif}
+_httpiconthowof_{_httpimg_/thowof.gif}
+_widththowx_ {87}
+_heightthowx_ {17}
+
+## topic ##
+_httpiconttopicgr_{_httpimg_/ttopicgr.gif}
+_httpiconttopicon_{_httpimg_/ttopicon.gif}
+_httpiconttopicof_{_httpimg_/ttopicof.gif}
+_widthttopicx_ {87}
+_heightttopicx_ {17}
+
+## browse ##
+_httpicontbrwsegr_{_httpimg_/tbrwsegr.gif}
+_httpicontbrwseon_{_httpimg_/tbrwseon.gif}
+_httpicontbrwseof_{_httpimg_/tbrwseof.gif}
+_widthtbrwsex_ {87}
+_heighttbrwsex_ {17}
+
+## search ##
+_httpicontsrchgr_ {_httpimg_/tsrchgr.gif}
+_httpicontsrchof_ {_httpimg_/tsrchof.gif}
+_httpicontsrchon_ {_httpimg_/tsrchon.gif}
+_widthtsrchx_ {87}
+_heighttsrchx_ {17}
+
+## titles a-z ##
+_httpiconttitlgr_ {_httpimg_/ttitlgr.gif}
+_httpiconttitlof_ {_httpimg_/ttitlof.gif}
+_httpiconttitlon_ {_httpimg_/ttitlon.gif}
+_widthttitlx_ {87}
+_heightttitlx_ {17}
+
+## people ##
+_httpicontpeopgr_ {_httpimg/tpeopgr.gif}
+_httpicontpeopof_ {_httpimg/tpeopof.gif}
+_httpicontpeopon_ {_httpimg/tpeopon.gif}
+_widthtpeopx_ {97}
+_heighttpeopx_ {17}
+
+
+
+######################################################################
+# 'about' page
+package about
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+_textabcol_ {About this collection}
+
+_textsubcols1_ {<p>The complete collection comprises _1_ subcollections:
+<blockquote>}
+
+_textsubcols2_ {</blockquote>
+You can check (and alter) which subcollections you are 
+currently using on the Preferences page.}
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+## about ##
+_httpiconhabout_ {_httpimg_/h\_about.gif}
+_widthhabout_ {200}
+_heighthabout_ {57}
+
+
+
+######################################################################
+# document package
 package document
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _textTitlepage_ {_texticonhtitle_}
@@ -150,15 +276,115 @@
 }
 
-################
-# from visarts.dm
-###############
-
-_texticonhartst_ {Artists}
-_texticonhcat_ {Categories}
-
-
-######################################################################
-
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+## titles a-z ##
+_httpiconhtitle_ {_httpimg_/h\_title.gif}
+_widthhtitle_ {200}
+_heighthtitle_ {57}
+
+## authors a-z ##
+_httpiconhauth_ {_httpimg_/h\_auth.gif}
+_widthhauth_ {200}
+
+## subjects ##
+_httpiconhsubj_ {_httpimg_/h\_subj.gif}
+_widthhsubj_ {200}
+_heighthsubj_ {57}
+
+## series ##
+_httpiconhser_ {_httpimg_/h\_ser.gif}
+_widthhser_ {200}
+_heighthser_ {57}
+
+## dates ##
+_httpiconhdate_ {_httpimg_/h\_date.gif}
+_widthhdate_ {200}
+_heighthdate_ {57}
+
+## how to ##
+_httpiconhhow_ {_httpimg_/h\_how.gif}
+_widthhhow_ {200}
+_heighthhow_ {57}
+
+## topics ##
+_httpiconhtopic_ {_httpimg_/h\_topic.gif}
+_widthhtopic_ {200}
+_heighthtopic_ {57}
+
+## organization ##
+_httpiconhorg_ {_httpimg_/h\_org.gif}
+_widthhorg_ {250}
+_heighthorg_ {57}
+
+## browse ##
+_httpiconhbrwse_ {_httpimg_/h\_brwse.gif}
+_widthhbrwse_ {200}
+_heighthbrwse_ {57}
+
+## people ##
+_httpiconhpeople_ {_httpimg_/h\_people.gif}
+_widthhpeople_ {200}
+_heighthpeople_ {57}
+
+## CONTINUE? ##
+_httpiconcontoff_ {_httpimg_/contoff.gif}
+_httpiconconton_ {_httpimg_/conton.gif}
+_widthcontx_ {76}
+_heightcontx_ {17}
+
+## EXPAND TEXT ##
+_httpiconealltof_ {_httpimg_/ealltof.gif}
+_httpiconeallton_ {_httpimg_/eallton.gif}
+_widthealltx_ {65}
+_heightealltx_ {30}
+
+## CONTRACT CONTENTS ##
+_httpiconeconcof_ {_httpimg_/econcof.gif}
+_httpiconeconcon_ {_httpimg_/econcon.gif}
+_widtheconcx_ {65}
+_heighteconcx_ {30}
+
+## DETACH ##
+_httpiconedtchof_ {_httpimg_/edtchof.gif}
+_httpiconedtchon_ {_httpimg_/edtchon.gif}
+_widthedtchx_ {65}
+_heightedtchx_ {30}
+
+## EXPAND CONTENTS ##
+_httpiconeexpcof_ {_httpimg_/eexpcof.gif}
+_httpiconeexpcon_ {_httpimg_/eexpcon.gif}
+_widtheexpcx_ {65}
+_heighteexpcx_ {30}
+
+## CONTRACT TEXT ##
+_httpiconetsecof_ {_httpimg_/etsecof.gif}
+_httpiconetsecon_ {_httpimg_/etsecon.gif}
+_widthetsecx_ {65}
+_heightetsecx_ {30}
+
+## HIGHLIGHTING ##
+_httpiconehlof_ {_httpimg_/ehlof.gif}
+_httpiconehlon_ {_httpimg_/ehlon.gif}
+_widthehlx_ {65}
+_heightehlx_ {30}
+
+## NO HIGHLIGHTING ##
+_httpiconenhlof_ {_httpimg_/enhlof.gif}
+_httpiconenhlon_ {_httpimg_/enhlon.gif}
+_widthenhlx_ {65}
+_heightenhlx_ {30}
+
+
+######################################################################
+# 'home' page
 package home
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _documents_ { documents. }
@@ -166,5 +392,4 @@
 _ago_ {days ago.}
 _colnotbuilt_ {Collection not built.}
-
 
 _textpeople_ {People}
@@ -183,21 +408,22 @@
 
 <p> The New Zealand Digital Library system comprises several demonstration
-collections -- computer science technical reports and bibliographies, literary
-works, humanitarian and development information, magazines -- and makes them
-available over the Web through full-text interfaces.  Behind the query
-interface lies a huge collection providing gigabytes of information.  We hope
-you find what you want, or at least something intriguing!
+collections -- computer science technical reports and bibliographies,
+literary works, humanitarian and development information, magazines -- and
+makes them available over the Web through full-text interfaces.  Behind the
+query interface lies a huge collection providing gigabytes of information.
+We hope you find what you want, or at least something intriguing!
 
 <h4>The Greenstone software</h4>
 
-<p> The Greenstone Digital Library software provides a new way of organizing
-information and making it available over the Internet.  A <i>collection</i> of
-information comprises several (typically several thousand, or even several
-million) <i>documents</i>, which share a uniform searching and browsing
-interface.  The collections in a library are organized in a different
-way--though they share a strong family resemblance.  Although primarily
-designed for access over the Web, Greenstone collections can be made available,
-in precisely the same form, on CD-ROM for standalone PCs.  Greenstone is
-open-source software, available under the terms of the Gnu public linense.
+<p> The Greenstone Digital Library software provides a new way of
+organizing information and making it available over the Internet.  A
+<i>collection</i> of information comprises several (typically several
+thousand, or even several million) <i>documents</i>, which share a uniform
+searching and browsing interface.  The collections in a library are
+organized in a different way--though they share a strong family
+resemblance.  Although primarily designed for access over the Web,
+Greenstone collections can be made available, in precisely the same form,
+on CD-ROM for standalone PCs.  Greenstone is open-source software,
+available under the terms of the Gnu public linense.
  
 <h4>The research</h4>
@@ -229,11 +455,11 @@
 <h4>Global Help Projects vzw</h4>
 
-<a href="http://www.globalprojects.org">Global Help Projects</a> is a registered
-charity responsible for the Humanity Libraries Project
-that provides universal low-cost information access through co-operation
-between UN Agencies, universities and NGOs.
-Global Help Projects collaborate extensively with the NZDL 
-project, and use the Greenstone software.
-</td><td width=50%>
+<a href="http://www.globalprojects.org">Global Help Projects</a> is a
+registered charity responsible for the Humanity Libraries Project that
+provides universal low-cost information access through co-operation between
+UN Agencies, universities and NGOs.  Global Help Projects collaborate
+extensively with the NZDL project, and use the Greenstone software.
+</td><td width=50%> 
+
 <h4>DigiLib Systems Limited</h4>
 
@@ -241,9 +467,7 @@
 innovative software company that creates international digital libraries.
 As a major contributor to the Greenstone Digital Library Software they are
-able to build, customize, and extend digital libraries to meet exacting needs.
-Please <a href="mailto:contact@digilibs.com">contact</a> them for an obligation
-free quote.
-</td></tr></table>
-}
+able to build, customize, and extend digital libraries to meet exacting
+needs.  Please <a href="mailto:contact@digilibs.com">contact</a> them for
+an obligation free quote.  </td></tr></table> }
 
 _textpoem_ {
@@ -259,18 +483,17 @@
 }
 
-_textgreenstone_ {
-<p><br>
-Greenstone is a semi-precious stone that (like this software) is sourced in
-New Zealand.  In traditional Maori society it was the most highly prized and
-sought after of all substances.  It can absorb and hold <i>wairua</i>, which is
-a spirit or life force, and is endowed with traditional virtues that make it an
-appropriate emblem for a public-domain digital library project.  Its lustre
-shows charity; its translucence, honesty; its toughness, courage; and the sharp
-edge it can take, justice.  The carved piece used in the Greenstone Digital
-Library Software logo is a <i>patu</i> or fighting club, and is a family
-heirloom of one of our project members.  In hand-to-hand combat its delivery is
-very quick, very accurate, and very complete.  We like to think these qualities
-also apply to our software, the razor sharp edge of the <i>patu</i> symbolizing
-the leading edge of technology.
+_textgreenstone_ { <p><br> Greenstone is a semi-precious stone that (like
+this software) is sourced in New Zealand.  In traditional Maori society it
+was the most highly prized and sought after of all substances.  It can
+absorb and hold <i>wairua</i>, which is a spirit or life force, and is
+endowed with traditional virtues that make it an appropriate emblem for a
+public-domain digital library project.  Its lustre shows charity; its
+translucence, honesty; its toughness, courage; and the sharp edge it can
+take, justice.  The carved piece used in the Greenstone Digital Library
+Software logo is a <i>patu</i> or fighting club, and is a family heirloom
+of one of our project members.  In hand-to-hand combat its delivery is very
+quick, very accurate, and very complete.  We like to think these qualities
+also apply to our software, the razor sharp edge of the <i>patu</i>
+symbolizing the leading edge of technology.
 
 <p><a href="mailto:greenstone@cs.waikato.ac.nz">Greenstone Digital Library Software</a>
@@ -281,6 +504,28 @@
 }
 
-#######################################################################
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+## THE NEW ZEALAND DIGITAL LIBRARY ##
+_httpiconnzdl_ {_httpimg_/nzdl2gr.gif}
+_widthnzdl_ {457}
+_heightnzdl_ {181}
+
+## select a collection ##
+_httpiconselcolgr_ {_httpimg_/selcolgr.gif}
+_widthselcolgr_ {537}
+_heightselcolgr_ {17}
+
+
+######################################################################
+# 'help' page
 package help
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _textHelp_ {Help}
@@ -298,64 +543,50 @@
 _textdefaultshorttext_ {undefined classification}
 
-_textSearchlong_ {
-<p>You can <i>search for particular words</i> that appear in the text from the
-"search" page. This is the first page that comes up when you begin, and can be
-reached from other pages by pressing the <i>search</i> button.
-}
-
-_textTitlelong_ {
-<p>You can <i>access publications by title</i> by pressing the <i>titles a-z</i>
-button.  This brings up a list of books in alphabetic order.
-}
-
-_textOrganizationlong_ {
-<p>You can <i>access publications by organization</i> by pressing the <i>organization</i>
-button.  This brings up a list of organizations.
-}
-
-_textHowtolong_ {
-<p>You can <i>access publications by how to listing</i> by pressing the <i>how to</i>
-button.  This brings up a list of how to strings.
-}
-
-_textCreatorlong_ {
-<p>You can <i>access publications by author</i> by pressing the <i>authors a-z</i>
-button.  This brings up a list of books, sorted by author name.
-}
-
-_textTopiclong_ {
-<p>You can <i>access publications by topic</i> by pressing the <i>topic</i>
-button.  This brings up a list of topics to browse.
-}
-
-_textSubjectlong_ {
-<p>You can <i>access publications by subject</i> by pressing the <i>subjects</i>
-button.  This brings up a list of subjects, represented by bookshelves.
-}
-
-_textSerieslong_ {
-<p>You can <i>access publications by series</i> by pressing the <i>series</i> button. 
-This brings up a list of those series which are currently in the collection. 
-}
-
-_textDatelong_ {
-<p>You can <i>access publications by date</i> by pressing the <i>dates</i> button. 
-This brings up a list of all the issues, sorted chronologically.
-}
-
-_textBrowselong_ {
-<p>You can <i>browse publications</i> by pressing the <i>browse</i> button.
-}
-
-_textPeoplelong_ {
-<p>You can <i>access publications by people</i> by pressing the 
-   <i>people a-z</i> button.  This brings up a list of entries, sorted by 
-     surname.
-}
-
-_textdefaultlongtext_ {
-<p>Click on the <i>unknown</i> button to browse publications (listing is sorted
-by an unknown field).
-}
+_textSearchlong_ { <p>You can <i>search for particular words</i> that
+appear in the text from the "search" page. This is the first page that
+comes up when you begin, and can be reached from other pages by pressing
+the <i>search</i> button.  }
+
+_textTitlelong_ { <p>You can <i>access publications by title</i> by
+pressing the <i>titles a-z</i> button.  This brings up a list of books in
+alphabetic order.  }
+
+_textOrganizationlong_ { <p>You can <i>access publications by
+organization</i> by pressing the <i>organization</i> button.  This brings
+up a list of organizations.  }
+
+_textHowtolong_ { <p>You can <i>access publications by how to listing</i>
+by pressing the <i>how to</i> button.  This brings up a list of how to
+strings.  }
+
+_textCreatorlong_ { <p>You can <i>access publications by author</i> by
+pressing the <i>authors a-z</i> button.  This brings up a list of books,
+sorted by author name.  }
+
+_textTopiclong_ { <p>You can <i>access publications by topic</i> by
+pressing the <i>topic</i> button.  This brings up a list of topics to
+browse.  }
+
+_textSubjectlong_ { <p>You can <i>access publications by subject</i> by
+pressing the <i>subjects</i> button.  This brings up a list of subjects,
+represented by bookshelves.  }
+
+_textSerieslong_ { <p>You can <i>access publications by series</i> by
+pressing the <i>series</i> button.  This brings up a list of those series
+which are currently in the collection.  }
+
+_textDatelong_ { <p>You can <i>access publications by date</i> by pressing
+the <i>dates</i> button.  This brings up a list of all the issues, sorted
+chronologically.  }
+
+_textBrowselong_ { <p>You can <i>browse publications</i> by pressing the
+<i>browse</i> button.  }
+
+_textPeoplelong_ { <p>You can <i>access publications by people</i> by
+pressing the <i>people a-z</i> button.  This brings up a list of entries,
+sorted by surname.  }
+
+_textdefaultlongtext_ { <p>Click on the <i>unknown</i> button to browse
+publications (listing is sorted by an unknown field).  }
 
 _texthelptopics_ {
@@ -398,8 +629,8 @@
 <h2>_textreadingdocs_</h2>
 
-<p>You can tell when you have arrived at an individual document because
-its title and author appear at the top left of the page. Beside these
-is the number of the current page, a box that allows you to select a
-new page, and forward and backward arrows.
+<p>You can tell when you have arrived at an individual document because its
+title and author appear at the top left of the page. Beside these is the
+number of the current page, a box that allows you to select a new page, and
+forward and backward arrows.
 
 <p>Underneath is the text of the current section. When you have read
@@ -411,6 +642,6 @@
 document is large, this could take a long time and use a lot of memory!
 Click on <i>detach</i> to make a new browser window for this
-document. (This is useful if you want to compare documents, or read two
-at once.)  Finally, when you do a search the words you search for are
+document. (This is useful if you want to compare documents, or read two at
+once.)  Finally, when you do a search the words you search for are
 highlighted.  Click on <i>no highlighting</i> to remove the highlighting.
 <p>
@@ -432,13 +663,13 @@
 <h2>_textreadingdocs_</h2>
 
-<p>You can tell when you have arrived at an individual book because there is a
-photograph of its front cover at the top left of the page.  Beside the photograph 
-is a table of contents with an arrow marking where you are.  This table is 
-expandable: click on the folders to open them or close them.  Click on the open 
-book at the top to close it.
-
-<p>Underneath is the text of the current section.  When you have read through
-it, there are arrows at the bottom to take you on to the next section or back
-to the previous one.
+<p>You can tell when you have arrived at an individual book because there
+is a photograph of its front cover at the top left of the page.  Beside the
+photograph is a table of contents with an arrow marking where you are.
+This table is expandable: click on the folders to open them or close them.
+Click on the open book at the top to close it.
+
+<p>Underneath is the text of the current section.  When you have read
+through it, there are arrows at the bottom to take you on to the next
+section or back to the previous one.
 
 <p>Below the photograph are four buttons. Click on <i>expand text</i> to
@@ -646,7 +877,23 @@
 }
 
-####################################################################
-
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+## help ##
+_httpiconhhelp_ {_httpimg_/h\_help.gif}
+_widthhhelp_ {200}
+_heighthhelp_ {57}
+
+
+######################################################################
+# 'search' page
 package query
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _textquerytitle_ {_If_(_thislast_,results _thisfirst_ - _thislast_ for query: _cgiargq_,No matches for query: _cgiargq_}
@@ -674,6 +921,5 @@
 _textselect_ {_If_(_cgiargb_,_textadvancedsearch_,_textsimplesearch_)}
 
-_defaultindextext_ { all text }
-_textsimplesearch_ {Search for _If_(_hselection_, _hselection_, _defaultindextext_)_If_(_jselection_,_textjselect_)_If_(_nselection_, in _nselection_ language) 
+_textsimplesearch_ {Search for _If_(_hselection_, _hselection_)_If_(_jselection_,_textjselect_)_If_(_nselection_, in _nselection_ language) 
 which contain _querytypeselection_ of the words}
 
@@ -693,7 +939,27 @@
 
 
-############################################################################
-
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+## search ##
+_httpiconhsearch_ {_httpimg_/h\_search.gif}
+_widthhsearch_ {200}
+_heighthsearch_ {57}
+
+## results ##
+_httpiconqryresb_ {_httpimg_/qryresb.gif}
+_widthqryresb_ {_pagewidth_}
+_heightqryresb_ {17}
+
+
+######################################################################
+# 'preferences' page
 package preferences
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _textsearchprefs_ {Search preferences}
@@ -729,7 +995,22 @@
 _texthloption_ {Highlight search terms within document text}
 
-################################################################################
-
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+_httpiconhpref_ {_httpimg_/h\_pref.gif}
+_widthhpref_ {200}
+_heighthpref_ {57}
+
+
+######################################################################
+# 'people' page
 package people
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _textpagetitle_ {NZDL: People}
@@ -904,14 +1185,88 @@
 }
 
-############################################################################
-
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+_httpiconhpeople_ {_httpimg_/h\_people.gif}
+_widthhpeople_ {200}
+_heighthpeople_ {57}
+
+
+######################################################################
+# 'technology' page
 package technology
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _textpagetitle_ {NZDL: Technology}
 
-
-############################################################################
-
+_content_ {
+_iconblankbar_
+<p>There are several freely available technologies underlying the New Zealand
+Digital Library:
+<ul>
+<li><a href="_httppagex_(gsdlsoft)"><i>Greenstone</i></a>, the digital
+library system that generates each and every page of this website.<p>
+
+<li><a href="_httppagex_(prescript)"><i>PreScript</i></a>, a system
+that converts PostScript to plain ASCII or HTML, detects paragraph boundaries,
+removes hyphenation, and interprets many ligatures.<p>
+
+<li><a href="_httppagex_(mg)"><i>MG</i></a>, an enhancement of the <a
+href="http://www.cs.mu.oz.au/mg"><i>Managing Gigabytes</i></a> full-text
+retrieval system, that provides flexible stemming methods, weighting terms,
+term frequencies, merged indexes, machine independent indexes, and a port to
+MSDOS.<p>
+
+<li><a href="http://www.cs.waikato.ac.nz/sequitur"><i>Sequitur</i></a>, a
+method for inferring compositional hierarchies from strings by detecting
+repetition and factoring it out of the string by  forming rules in a
+grammar. The rules can be composed of non-terminals, giving rise to a
+hierarchy. Sequitur is useful for  recognizing lexical structure in strings,
+and excels at very long sequences.<p>
+
+<li><a href="http://www.nzdl.org/Kea"><i>Kea</i></a>, a program for
+automatically extracting keyphrases from the full text of documents. Candidate
+keyphrases are identified using rudimentary lexical processing, features are
+computed for each candidate, and machine learning is used to generate a
+classifier that determines which candidates should be assigned as
+keyphrases. <p>
+
+<li><a href="http://www.cs.waikato.ac.nz/~stevej/Research/Phrasier/"><i>Phrasier</i></a>, a 
+tool to support information seeking activities in a digital library.  Its novel design 
+reflects the fact that reading, writing, browsing and searching activities are rarely 
+carried out independently of each other.  They overlap and interleave in ways which have 
+not been effectively supported by conventional information retrieval interfaces.  Consequenly
+Phrasier blurs the distinction between writing a document and finding material related to it; 
+between reading a document and finding others on the same or similar topics; between keyword 
+searching and subject browsing. <p>
+
+</ul>
+
+<br>
+}
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+_httpiconhtech_ {_httpimg_/h\_tech.gif}
+_widthhtech_ {200}
+_heighthtech_ {57}
+
+
+######################################################################
+# 'status' pages
 package status
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _textframebrowser_ {You must have a frame enabled browser to view this.}
@@ -950,13 +1305,35 @@
 }
 
-########################################################################
-
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+
+######################################################################
+# html package
 package html
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _textframebrowser_ {You must have a frame enabled browser to view this.}
 
-########################################################################
-
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+
+######################################################################
+# external link package
 package extlink
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _textextlink_ {External Link}
@@ -972,8 +1349,30 @@
     Use your browsers "back" button to return to the previous document.}
 
-
-#########################################################################
-
+# should have arguments of collection, collectionname and link
+_foundintcontent_ {
+
+<h3>Link to "_2_" collection</h3>
+
+<p> The link you have selected is external to the "_collectionname_"
+    collection (it links to the "_2_" collection).
+    If you wish to view this link in the "_2_" collection you can 
+    <a href="_httpdoc_&c=_1_&cl=_cgiargcl_&d=_3_">go forward</a> to this page; 
+    otherwise use your browsers "back" button to return to the previous document.
+}
+
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+
+######################################################################
+# authentication page
 package authen
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _textGSDLtitle_ {Greenstone Digital Library}
@@ -995,2 +1394,6 @@
 Please enter your password to access this page.}
 
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
Index: /trunk/gsdl/macros/extlink.dm
===================================================================
--- /trunk/gsdl/macros/extlink.dm	(revision 930)
+++ /trunk/gsdl/macros/extlink.dm	(revision 931)
@@ -10,16 +10,4 @@
 }
 
-# should have arguments of collection, collectionname and link
-_foundintcontent_ {
-
-<h3>Link to "_2_" collection</h3>
-
-<p> The link you have selected is external to the "_collectionname_"
-    collection (it links to the "_2_" collection).
-    If you wish to view this link in the "_2_" collection you can 
-    <a href="_httpdoc_&c=_1_&cl=_cgiargcl_&d=_3_">go forward</a> to this page; 
-    otherwise use your browsers "back" button to return to the previous document.
-}
-
 _notfoundcontent_ {
 
Index: /trunk/gsdl/macros/help.dm
===================================================================
--- /trunk/gsdl/macros/help.dm	(revision 930)
+++ /trunk/gsdl/macros/help.dm	(revision 931)
@@ -2,13 +2,5 @@
 
 _imagethispage_ {_iconthispage_}
-_iconthispage_ {<img src="_httpimg_/h_help.gif" alt="_textHelp_" width="200" height="57">}
-_iconthispage_ [l=mi] {<img src="_httpimg_/mh_help.gif" alt="_textHelp_" width="200" height="57">}
-
-_httpicondtchdemo_ {_httpimg_/edtchof.gif}
-_httpicondtchdemo_ [l=mi] {_httpimg_/medtchof.gif}
-_httpiconeexpdemo_ {_httpimg_/eexpcof.gif}
-_httpiconeexpdemo_ [l=mi] {_httpimg_/meexpcof.gif}
-_httpiconealltdemo_ {_httpimg_/ealltof.gif}
-_httpiconealltdemo_ [l=mi] {_httpimg_/mealltof.gif}
+_iconthispage_ {<img src="_httpiconhhelp_" alt="_textHelp_" width=_widthhhelp_ height=_heighthhelp_>}
 
 _textnumbrowseoptions_ {_If_("_numbrowseoptions_" != "1",<p>_texttanumbrowseoptions_)}
Index: /trunk/gsdl/macros/home.dm
===================================================================
--- /trunk/gsdl/macros/home.dm	(revision 930)
+++ /trunk/gsdl/macros/home.dm	(revision 931)
@@ -33,18 +33,7 @@
 #######################################################################
 
-#_httpiconnzdl_ {_httpimg_/nzdl.gif}
-#_widthnzdl_ {400}
-#_heightnzdl_ {112}
-_httpiconnzdl_ {_httpimg_/nzdl2gr.gif}
-_widthnzdl_ {457}
-_heightnzdl_ {181}
-
 _httpicongbull_ {_httpimg_/gbull.gif}
 
 _httpiconpdf_ {_httpimg_/pdf.gif}
-
-_httpiconselcolgr_ {_httpimg_/selcolgr.gif}
-_widthselcolgr_ {537}
-_heightselcolgr_ {17}
 
 _httpicontmusic_ {_httpimg_/meldexsm.gif}
Index: /trunk/gsdl/macros/maori.dm
===================================================================
--- /trunk/gsdl/macros/maori.dm	(revision 930)
+++ /trunk/gsdl/macros/maori.dm	(revision 931)
@@ -1,9 +1,17 @@
-
-package about
-
-_textabcol_ [l=mi] {He kupu whakam&auml;rama i te kohikohinga niupepa}
-
-########################################################################
+######################################################################
+#
+# Maori Language text and icon macros 
+#
+######################################################################
+
+
+######################################################################
+# Global (base) package
 package Global
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _textimagehelp_ [l=mi] {Te wh&auml;rangi whakam&auml;rama}
@@ -42,7 +50,63 @@
 _textimageDate_ [l=mi] {Tirohia te whakar&auml;rangi w&auml;taka}
 
-###################################################################
-
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+_httpiconchomeof_ [l=mi] {_httpimg_/mchomeof.gif}
+_httpiconchomeon_ [l=mi] {_httpimg_/mchomeon.gif}
+_widthchomex_ [l=mi] {54}
+
+_httpiconchelpof_ [l=mi] {_httpimg_/mchelpof.gif}
+_httpiconchelpon_ [l=mi] {_httpimg_/mchelpon.gif}
+_widthchelpx_ [l=mi] {57}
+
+_httpiconcprefof_ [l=mi] {_httpimg_/mcprefof.gif}
+_httpiconcprefon_ [l=mi] {_httpimg_/mcprefon.gif}
+_widthcprefx_ [l=mi] {103}
+
+_httpicontsergr_ [l=mi] {_httpimg_/mtsergr.gif}
+_httpicontserof_ [l=mi] {_httpimg_/mtserof.gif}
+_httpicontseron_ [l=mi] {_httpimg_/mtseron.gif}
+_widthtserx_ [l=mi] {192}
+
+_httpicontdategr_ [l=mi] {_httpimg_/mtdategr.gif}
+_httpicontdateof_ [l=mi] {_httpimg_/mtdateof.gif}
+_httpicontdateon_ [l=mi] {_httpimg_/mtdateon.gif}
+
+_httpicontsrchgr_ [l=mi] {_httpimg_/mtsrchgr.gif}
+_httpicontsrchof_ [l=mi] {_httpimg_/mtsrchof.gif}
+_httpicontsrchon_ [l=mi] {_httpimg_/mtsrchon.gif}
+
+
+######################################################################
+# 'about' page
+package about
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+_textabcol_ [l=mi] {He kupu whakam&auml;rama i te kohikohinga niupepa}
+
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+_httpiconhabout_ [l=mi] {_httpimg_/mh\_about.gif}
+_widthhabout_ [l=mi] {262}
+
+
+######################################################################
+# document package
 package document
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _texticondetach_ [l=mi] {Huakina mai he matapihi hou m&ouml; t&euml;nei k&ouml;rero}
@@ -59,7 +123,53 @@
 _texticonclosedfolder_ [l=mi] {He k&ouml;paki}
 
-####################################################################
-
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+_httpiconhser_ [l=mi] {_httpimg_/mh\_ser.gif}
+_widthhser_ [l=mi] {310}
+
+_httpiconhdate_ [l=mi] {_httpimg_/mh\_date.gif}
+
+_httpiconealltof_ [l=mi] {_httpimg_/mealltof.gif}
+_httpiconeallton_ [l=mi] {_httpimg_/meallton.gif}
+
+_httpiconedtchof_ [l=mi] {_httpimg_/medtchof.gif}
+_httpiconedtchon_ [l=mi] {_httpimg_/medtchon.gif}
+
+_httpiconetsecof_ [l=mi] {_httpimg_/metsecof.gif}
+_httpiconetsecon_ [l=mi] {_httpimg_/metsecon.gif}
+
+_httpiconehlof_ [l=mi] {_httpimg_/mehlof.gif}
+_httpiconehlon_ [l=mi] {_httpimg_/mehlon.gif}
+
+_httpiconenhlof_ [l=mi] {_httpimg_/menhlof.gif}
+_httpiconenhlon_ [l=mi] {_httpimg_/menhlon.gif}
+
+
+######################################################################
+# 'home' page
+package home
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+
+######################################################################
+# 'help' page
 package help
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _texttanumbrowseoptions_ [l=mi] {E _numbrowseoptions_ ng&auml; huarahi hei rapu k&ouml;rero i te kohikohinga niupepa}
@@ -206,8 +316,19 @@
 
 
-#######################################################################
-
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+_httpiconhhelp_ [l=mi] {_httpimg_/mh\_help.gif}
+
+
+######################################################################
+# 'search' page
 package query
-
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _texticonthispage_ [l=mi] {rapu}
@@ -228,7 +349,22 @@
 m&ouml; _querytypeselection_ o ng&auml; kupu}
 
-################################################################################
-
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+_httpiconhsearch_ [l=mi] {_httpimg_/mh\_srch.gif}
+
+_httpiconqryresb_ [l=mi] {_httpimg_/mqryresb.gif}
+
+
+######################################################################
+# 'prefereces' page
 package preferences
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _textpreferences_ [l=mi] {Whiriwhiringa}
@@ -248,10 +384,103 @@
 
 
-
-
-
-
-
-
-
-
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+_httpiconhpref_ [l=mi] {_httpimg_/mh\_pref.gif}
+_widthhpref_ [l=mi] {220}
+
+
+######################################################################
+# 'people' page
+package people
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+
+######################################################################
+# 'technology' page
+package technology
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+_textpagetitle_ {NZDL: Technology}
+
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+
+######################################################################
+# 'status' pages
+package status
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+
+######################################################################
+# html package
+package html
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+
+######################################################################
+# external link package
+package extlink
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+
+######################################################################
+# authentication page
+package authen
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+
+
Index: /trunk/gsdl/macros/people.dm
===================================================================
--- /trunk/gsdl/macros/people.dm	(revision 930)
+++ /trunk/gsdl/macros/people.dm	(revision 931)
@@ -20,15 +20,4 @@
 
 _iconhpeople_ {<img src="_httpiconhpeople_" width=_widthhpeople_ height=_heighthpeople_}
-
-#######################################################################
-# http macros 
-#
-# These contain the url without any quotes
-#######################################################################
-
-_httpiconhpeople_ {_httpimg_/h\_people.gif}
-_widthhpeople_ {200}
-_heighthpeople_ {57}
-
 
 #######################################################################
Index: /trunk/gsdl/macros/pref.dm
===================================================================
--- /trunk/gsdl/macros/pref.dm	(revision 930)
+++ /trunk/gsdl/macros/pref.dm	(revision 931)
@@ -384,26 +384,14 @@
 
 #######################################################################
-# https
-#######################################################################
-
-_httpiconhpref_ {_httpimg_/h\_pref.gif}
-_httpiconhpref_ [l=mi] {_httpimg_/mh\_pref.gif}
-_widthhpref_ {200}
-_widthhpref_ [l=mi] {220}
-_heighthpref_ {57}
-
-
-#######################################################################
 # icons
 #######################################################################
 
 _iconthispage_ {<img src="_httpiconhpref_" alt="_textpreferences_" width="_widthhpref_" height="_heighthpref_">}
-_iconthispage_ [l=mi] {<img src="_httpimg_/mh\_pref.gif" alt="" width="220" height="57">}
-
-
-
-
-
-
-
-
+
+
+
+
+
+
+
+
Index: /trunk/gsdl/macros/query.dm
===================================================================
--- /trunk/gsdl/macros/query.dm	(revision 930)
+++ /trunk/gsdl/macros/query.dm	(revision 931)
@@ -18,22 +18,8 @@
 
 #######################################################################
-# https
-#######################################################################
-
-_httpiconthispage_ {_httpiconhsearch_}
-_widthiconthispage_ {_widthiconhsearch_}
-_heighticonthispage_ {_heighticonhsearch_}
-
-_httpiconhsearch_ {_httpimg_/h\_search.gif}
-_httpiconhsearch_ [l=mi] {_httpimg_/mh\_srch.gif}
-_widthhsearch_ {200}
-_heighthsearch_ {57}
-
-
-#######################################################################
 # icons
 #######################################################################
 
-_iconthispage_ {<img src="_httpiconthispage_" alt="_texticonthispage_" width="_widthiconthispage_" height="_heighticonthispage_">}
+_iconthispage_ {<img src="_httpiconhsearch_" alt="_texticonthispage_" width="_widthhsearch_" height="_heighthsearch_">}
 _iconthispage_ [v=1] {<h2>_texticonthispage_</h2>}
 
Index: /trunk/gsdl/macros/status.dm
===================================================================
--- /trunk/gsdl/macros/status.dm	(revision 930)
+++ /trunk/gsdl/macros/status.dm	(revision 931)
@@ -22,5 +22,5 @@
 <table width=100%>
   <tr>
-    <td><img src="/gsdl/images/gsdl_height.gif" width=2 height=77></td>
+    <td><img src="/gsdl/images/spacer.gif" width=2 height=77></td>
     <td>_iconblankbar_
         <center><h2>_1_</h2></center>
Index: /trunk/gsdl/macros/tech.dm
===================================================================
--- /trunk/gsdl/macros/tech.dm	(revision 930)
+++ /trunk/gsdl/macros/tech.dm	(revision 931)
@@ -22,15 +22,4 @@
 
 #######################################################################
-# http macros 
-#
-# These contain the url without any quotes
-#######################################################################
-
-_httpiconhtech_ {_httpimg_/h\_tech.gif}
-_widthhtech_ {200}
-_heighthtech_ {57}
-
-
-#######################################################################
 # page content
 #######################################################################
@@ -40,60 +29,6 @@
 _imagethispage_ {_iconhtech_}
 
-_content_ {
-_iconblankbar_
-<p>There are several freely available technologies underlying the New Zealand
-Digital Library:
-<ul>
-<li><a href="_httppagex_(gsdlsoft)"><i>Greenstone</i></a>, the digital
-library system that generates each and every page of this website.<p>
-
-<li><a href="_httppagex_(prescript)"><i>PreScript</i></a>, a system
-that converts PostScript to plain ASCII or HTML, detects paragraph boundaries,
-removes hyphenation, and interprets many ligatures.<p>
-
-<li><a href="_httppagex_(mg)"><i>MG</i></a>, an enhancement of the <a
-href="http://www.cs.mu.oz.au/mg"><i>Managing Gigabytes</i></a> full-text
-retrieval system, that provides flexible stemming methods, weighting terms,
-term frequencies, merged indexes, machine independent indexes, and a port to
-MSDOS.<p>
-
-<li><a href="http://www.cs.waikato.ac.nz/sequitur"><i>Sequitur</i></a>, a
-method for inferring compositional hierarchies from strings by detecting
-repetition and factoring it out of the string by  forming rules in a
-grammar. The rules can be composed of non-terminals, giving rise to a
-hierarchy. Sequitur is useful for  recognizing lexical structure in strings,
-and excels at very long sequences.<p>
-
-<li><a href="http://www.nzdl.org/Kea"><i>Kea</i></a>, a program for
-automatically extracting keyphrases from the full text of documents. Candidate
-keyphrases are identified using rudimentary lexical processing, features are
-computed for each candidate, and machine learning is used to generate a
-classifier that determines which candidates should be assigned as
-keyphrases. <p>
-
-<li><a href="http://www.cs.waikato.ac.nz/~stevej/Research/Phrasier/"><i>Phrasier</i></a>, a 
-tool to support information seeking activities in a digital library.  Its novel design 
-reflects the fact that reading, writing, browsing and searching activities are rarely 
-carried out independently of each other.  They overlap and interleave in ways which have 
-not been effectively supported by conventional information retrieval interfaces.  Consequenly
-Phrasier blurs the distinction between writing a document and finding material related to it; 
-between reading a document and finding others on the same or similar topics; between keyword 
-searching and subject browsing. <p>
-
-</ul>
-
-<br>
-}
-
-
-
-###############################################################################
-# English Language Text Macros
-###############################################################################
-
-#moved to english.dm
 
 
 
 
-
